Subject: RE: [rohc] Issue list for ROHC TCP

From: "Finking, Robert" <[email-masked]>
Date: Mon, 21 Feb 2005 10:08:36 -0000

> From: Carsten Bormann [mailto:[email-masked]] 
> Sent: Thursday, February 17, 2005 7:44 AM
> 
> On Feb 17 2005, at 08:11 Uhr, Lars-Erik Jonsson (LU/EAB) wrote:
> 
> >>>>> TCP-1: Does ack and seq scaling have a zero-division issue since
> >>>>>        they appear in the default_methods section?
> >>>>>
> >>
> >> My understanding is that we should be specifying what 
> happens at the
> >> *decompressor*, rather than the *compressor*.  If we can
> >> stick to this, then I believe that div-by-0 goes away?
> >
> > Fully agree, the question is not about the principles 
> (sorry for being
> > unclear on that), but about how this is captured in the FN. 
> The issue
> > came from Kristofer, maybe he can elaborate a little bit.
> 
> The issue is that putting into the default_format an assertion that 
> only applies to a subset of the formats gets you in trouble.
> There is no good way to override a default_format assertion in a 
> specific format in today's FN.

The way I have written it in the latest FN draft is that bindings on
individual attributes in default_methods are overridden by bindings either
on that attribute specifically (a let statement) or by bindings on the
fields to which that attribute belongs (an encoding method) in either the
"co_format" or "uc_format" field encodings lists for that packet format. If
you want an assertion to be true ALL the time, and not be overridable, then
it should go in the uncompressed field encodings list. However of course if
you're happy to make sure you're not overriding it by hand (as we do
throughout the TCP packet formats), then sure go ahead and use
default_methods. If there is a problem with this, shout up quick!

On the main point though, I don't think we should go overriding default let
statements: I think Mark/Carsten's solution is the right one.

Regards

Raffles

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Eilert Brinkmann <[email-masked]>
Date: Mon, 21 Feb 2005 13:00:27 +0100

"Finking, Robert" wrote:
> "co_format" or "uc_format" field encodings lists for that packet
> format.

What is overriding for bindings with let? Is this sufficiently
defined? E.g., when we have something like

  let (len:uncomp_value == data:uncomp_length);

in default_methods, would binding len:uncomp_value in any format
(e.g. with len ::= uncompressed_value(8, 5);) "override" the above
default binding thus also removing the binding of data:uncomp_length?

I think let-statements should simply be accumulative as I don't see an
easy way to clearly state how overriding works for bindings in let
statements. Or am I wrong here?

Eilert